// src/runtime/ensure-server.ts
import { isBrowser } from "environment";
function ensureServer() {
  if (isBrowser) {
    throw new Error(
      "This function can only be used on the server as including it in the browser will expose your access token."
    );
  }
}
function ensureBrowser() {
  if (!isBrowser) {
    throw new Error("This function can only be used on the browser as it is missing the access token.");
  }
}
var runsInBrowser = isBrowser;
var runsOnServer = !isBrowser;
export {
  ensureBrowser,
  ensureServer,
  runsInBrowser,
  runsOnServer
};
//# sourceMappingURL=runtime.mjs.map